Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 337436 - net-analyzer/slurm _FORTIFY_SOURCE indicates presence of overflow
Summary: net-analyzer/slurm _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-09-15 07:04 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-03-19 11:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (slurm-0.3.3:20100914-215718.log,7.33 KB, text/plain)
2010-09-15 07:04 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-15 07:04:10 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-15 07:04:27 UTC
Created attachment 247412 [details]
Build log
Comment 2 Jeroen Roovers gentoo-dev 2011-08-01 15:36:34 UTC
Fixed in 0.3.3-r1.
Comment 3 Pacho Ramos gentoo-dev 2012-03-19 11:26:54 UTC
(In reply to comment #2)
> Fixed in 0.3.3-r1.